perl-Dist-Zilla-PluginBundle-DAGOLDEN-0.079-alt1.noarch.rpm


Advertisement

Description

perl-Dist-Zilla-PluginBundle-DAGOLDEN - Dist::Zilla configuration the way DAGOLDEN does it

Property Value
Distribution ALT Linux Sisyphus
Repository Autoimports noarch
Package filename perl-Dist-Zilla-PluginBundle-DAGOLDEN-0.079-alt1.noarch.rpm
Package name perl-Dist-Zilla-PluginBundle-DAGOLDEN
Package version 0.079
Package release alt1
Package architecture noarch
Package type rpm
Category Development/Perl
Homepage -
License -
Maintainer -
Download size 58.45 KB
Installed size 58.45 KB
This is a the Dist::Zilla manpage PluginBundle.  It is roughly equivalent to the
following dist.ini:
; version provider
[RewriteVersion] ; also munges
; choose files to include
[Git::GatherDir]         ; everything from git ls-files
exclude_filename = README.pod   ; skip this generated file
exclude_filename = README.mkdn  ; skip this generated file
exclude_filename = META.json    ; skip this generated file
exclude_filename = cpanfile     ; skip this generated file
exclude_filename = Makefile.PL  ; skip this generated file
[PruneCruft]        ; default stuff to skip
[ManifestSkip]      ; if -f MANIFEST.SKIP, skip those, too
; file modifications
[InsertCopyright]    ; add copyright at "# COPYRIGHT"
[SurgicalPodWeaver]         ; generate Pod
config_plugin = @DAGOLDEN ; my own plugin allows Pod::WikiDoc
replacer = replace_with_comment
post_code_replacer = replace_with_nothing
; generated files
[License]           ; boilerplate license
[Pod2Readme]        ; from Pod (runs after PodWeaver)
; t tests
[Test::ReportPrereqs]   ; show prereqs in automated test output
; xt tests
[Test::MinimumVersion]  ; xt/release/minimum-version.t
max_target_perl = 5.010 ; don't use syntax/features past 5.10
[Test::PodSpelling] ; xt/author/pod-spell.t
[Test::Perl::Critic]; xt/author/critic.t
[MetaTests]         ; xt/release/meta-yaml.t
[PodSyntaxTests]    ; xt/release/pod-syntax.t
[PodCoverageTests]  ; xt/release/pod-coverage.t
[Test::Portability] ; xt/release/portability.t (of file name)
options = test_one_dot = 0
[Test::Version]     ; xt/release/test-version.t
[Test::Compile]     ; xt/author/00-compile.t
fake_home = 1       ; fakes $ENV{HOME} just in case
xt_mode = 1         ; make sure all files compile
; metadata
[AutoPrereqs]       ; find prereqs from code
skip = ^t::lib
[Authority]
authority = cpan:DAGOLDEN
do_munging = 0
[MinimumPerl]   ; determine minimum perl version
[MetaNoIndex]       ; sets 'no_index' in META
directory =...

Alternatives

Package Version Architecture Repository
perl-Dist-Zilla-PluginBundle-DAGOLDEN - - -

Requires

Name Value
/usr/share/perl5 -
perl(Dist/Zilla.pm) >= 5.014
perl(Dist/Zilla/Plugin/Authority.pm) >= 1.006
perl(Dist/Zilla/Plugin/Bugtracker.pm) >= 1.110
perl(Dist/Zilla/Plugin/BumpVersionAfterRelease.pm) >= 0.003
perl(Dist/Zilla/Plugin/CPANFile.pm) -
perl(Dist/Zilla/Plugin/CheckChangesHasContent.pm) -
perl(Dist/Zilla/Plugin/CheckMetaResources.pm) >= 0.001
perl(Dist/Zilla/Plugin/CheckPrereqsIndexed.pm) >= 0.002
perl(Dist/Zilla/Plugin/CopyFilesFromBuild/Filtered.pm) -
perl(Dist/Zilla/Plugin/Git/CheckFor/CorrectBranch.pm) -
perl(Dist/Zilla/Plugin/Git/Contributors.pm) >= 0.007
perl(Dist/Zilla/Plugin/Git/NextVersion.pm) -
perl(Dist/Zilla/Plugin/GithubMeta.pm) >= 0.360
perl(Dist/Zilla/Plugin/InsertCopyright.pm) >= 0.001
perl(Dist/Zilla/Plugin/MetaNoIndex.pm) -
perl(Dist/Zilla/Plugin/MetaProvides/Package.pm) >= 1.140
perl(Dist/Zilla/Plugin/MinimumPerl.pm) -
perl(Dist/Zilla/Plugin/Pod2Readme.pm) -
perl(Dist/Zilla/Plugin/Prereqs/AuthorDeps.pm) -
perl(Dist/Zilla/Plugin/PromptIfStale.pm) >= 0.011
perl(Dist/Zilla/Plugin/RewriteVersion.pm) -
perl(Dist/Zilla/Plugin/RunExtraTests.pm) -
perl(Dist/Zilla/Plugin/SurgicalPodWeaver.pm) -
perl(Dist/Zilla/Plugin/TaskWeaver.pm) >= 0.101.620
perl(Dist/Zilla/Plugin/Test/Compile.pm) >= 2.036
perl(Dist/Zilla/Plugin/Test/MinimumVersion.pm) >= 2.0.003
perl(Dist/Zilla/Plugin/Test/Perl/Critic.pm) -
perl(Dist/Zilla/Plugin/Test/PodSpelling.pm) >= 2.006.001
perl(Dist/Zilla/Plugin/Test/Portability.pm) -
perl(Dist/Zilla/Plugin/Test/ReportPrereqs.pm) >= 0.016
perl(Dist/Zilla/Plugin/Test/Version.pm) -
perl(Dist/Zilla/PluginBundle/Filter.pm) -
perl(Dist/Zilla/PluginBundle/Git.pm) >= 1.121.010
perl(Moose.pm) >= 0.990
perl(Pod/Elemental/PerlMunger.pm) >= 0.200.001
perl(Pod/Elemental/Transformer/List.pm) >= 0.102
perl(Pod/Weaver.pm) >= 4.0
perl(Pod/Weaver/Config/Assembler.pm) -
perl(Pod/Weaver/Plugin/WikiDoc.pm) -
perl(Pod/Weaver/Section/Contributors.pm) >= 0.008
perl(Pod/Weaver/Section/Support.pm) >= 1.001
perl(Test/Portability/Files.pm) >= 0.060
perl(namespace/autoclean.pm) >= 0.090
rpmlib(PayloadIsLzma) -

Provides

Name Value
perl(Dist/Zilla/PluginBundle/DAGOLDEN.pm) = 0.079
perl(Pod/Weaver/PluginBundle/DAGOLDEN.pm) = 0.079
perl-Dist-Zilla-PluginBundle-DAGOLDEN = 0.079-alt1

Download

Type URL
Mirror ftp.altlinux.org
Binary Package perl-Dist-Zilla-PluginBundle-DAGOLDEN-0.079-alt1.noarch.rpm
Source Package perl-Dist-Zilla-PluginBundle-DAGOLDEN-0.079-alt1.src.rpm

Install Howto

  1. Add the following line to /etc/apt/sources.list:
    
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/autoimports/Sisyphus noarch autoimports
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/autoimports/Sisyphus noarch autoimports
    
  2. Update the package index:
    # sudo apt-get update
  3. Install perl-Dist-Zilla-PluginBundle-DAGOLDEN rpm package:
    # sudo apt-get install perl-Dist-Zilla-PluginBundle-DAGOLDEN

Files

Path
/usr/share/doc/perl-Dist-Zilla-PluginBundle-DAGOLDEN-0.079/Changes
/usr/share/doc/perl-Dist-Zilla-PluginBundle-DAGOLDEN-0.079/LICENSE
/usr/share/doc/perl-Dist-Zilla-PluginBundle-DAGOLDEN-0.079/README
/usr/share/doc/perl-Dist-Zilla-PluginBundle-DAGOLDEN-0.079/Todo
/usr/share/perl5/Dist/
/usr/share/perl5/Dist/Zilla/
/usr/share/perl5/Dist/Zilla/PluginBundle/DAGOLDEN.pm
/usr/share/perl5/Pod/
/usr/share/perl5/Pod/Weaver/
/usr/share/perl5/Pod/Weaver/PluginBundle/DAGOLDEN.pm

See Also

Package Description
perl-Dist-Zilla-PluginBundle-DANIELP-1.04-alt1.noarch.rpm (you shouldn't) use Dist::Zilla like DANIELP
perl-Dist-Zilla-PluginBundle-DBR-0.024-alt1.noarch.rpm DBRs Dist::Zilla PluginBundle
perl-Dist-Zilla-PluginBundle-DOY-0.15-alt1.noarch.rpm Dist::Zilla plugins for me
perl-Dist-Zilla-PluginBundle-DPHYS-1-alt1.noarch.rpm standard Dist::Zilla plugins for DPHYS
perl-Dist-Zilla-PluginBundle-DROLSKY-0.07-alt1.noarch.rpm DROLSKY's plugin bundle
perl-Dist-Zilla-PluginBundle-Dancer-0.0013-alt1.noarch.rpm dzil plugins used by Dancer projects
perl-Dist-Zilla-PluginBundle-FAYLAND-0.16-alt1_1.noarch.rpm Dist::Zilla like FAYLAND when you build your dists
perl-Dist-Zilla-PluginBundle-FFFINKEL-0.008-alt1.noarch.rpm My Dist::Zilla plugin bundle
perl-Dist-Zilla-PluginBundle-FLORA-0.17-alt1.noarch.rpm Build your distributions like FLORA does
perl-Dist-Zilla-PluginBundle-GENEHACK-0.700-alt1.noarch.rpm BeLike::GENEHACK when you zilla your dist
perl-Dist-Zilla-PluginBundle-GETTY-0.008-alt1.noarch.rpm B<DEPRECATED> PLEASE USE L<Dist::Zilla::PluginBundle::Author::GETTY> instead
perl-Dist-Zilla-PluginBundle-GPHAT-0.06-alt1.noarch.rpm Dist::Zilla plugins for gphat
perl-Dist-Zilla-PluginBundle-GRS-0.08-alt1.noarch.rpm Dist::Zilla like GRS
perl-Dist-Zilla-PluginBundle-Git-CheckFor-0.014-alt1.noarch.rpm All Git::CheckFor plugins at once
perl-Dist-Zilla-PluginBundle-Git-VersionManager-0.007-alt1.noarch.rpm A plugin bundle that manages your version in git
Advertisement
Advertisement